%{
#include "y.tab.h"
#include <stdlib.h>
void yyerror(char *);
%}

%%

[0-9]+	{ 	
    yylval = atoi(yytext);    
    return INTEGER;            
}     
						
"+"	{ 
    return PLUS; 
}

"-" {
    return MINUS;
}

"*" { 
    return MULTIPLY;
}

"/" {
    return DIVIDE;
}

"(" { 
    return LPAREN;
}

")" {
    return RPAREN;
}

[ \t] {
    ;
}

[\n] {
    return NEWLINE;
}     

[.] {
    yyerror("unknown character");
}

%%

int yywrap (void) {
    return 1;
}
